const validator = require("validator");
exports.validateUser = (req,res,next) => {
    let {nom,prenom} = req.body;
    console.log(prenom)
    if(!nom || !prenom){
        return res.status(400).send('Nom ou prenom sont nulles!');
    }
    prenom = prenom.toString()
    nom =  nom.toString();
    if(!validator.isLength(nom,{min:3}) || 
        !validator.isAlpha(nom,'en-US',{ignore: ' '})){
            return res.status(400).send('Format incorrect pour nom');
        }
    if(!validator.isLength(prenom,{min:3}) || 
    !validator.isAlpha(prenom,'en-US',{ignore: ' '})){
        return res.status(400).send('Format incorrect pour prenom');
    }
    next();
}
exports.validateUserUpdate = (req,res,next)=>{
    let uuid = req.params.uuid;
    if(!uuid){
        return res.status(400).send("UUID Nulle!");
    }
    let {nom,prenom} = req.body;
    console.log(prenom)
    if(!nom || !prenom){
        return res.status(400).send('Nom ou prenom sont nulles!');
    }
    prenom = prenom.toString()
    nom =  nom.toString();
    if(!validator.isLength(nom,{min:3}) || 
        !validator.isAlpha(nom,'en-US',{ignore: ' '})){
            return res.status(400).send('Format incorrect pour nom');
        }
    if(!validator.isLength(prenom,{min:3}) || 
    !validator.isAlpha(prenom,'en-US',{ignore: ' '})){
        return res.status(400).send('Format incorrect pour prenom');
    }
    next();
}